## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check
%bcond_with bootstrap
%global debug_package %{nil}

# https://github.com/GoogleCloudPlatform/google-cloud-go
%global goipath         cloud.google.com/go
%global forgeurl        https://github.com/GoogleCloudPlatform/google-cloud-go
Version:                0.103.0
%global tag             bigtable/v1.16.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Go packages for Google Cloud Platform services.}

# This should be removed in Fedora 39
%global godevelheader0  %{expand:
# This package used to be split up to solve a bootstrapping issue.
# golang-github-cloud-google-compute-devel has since been merged with
# the main -devel package, so we need this to ensure a smooth update path.
# See https://bugzilla.redhat.com/2109630
Provides: golang-cloud-google-compute-devel = %{?epoch:epoch:}%{version}-%{release}
Obsoletes: golang-cloud-google-compute-devel < 0.103.0-2
}

%global golicenses      LICENSE
%global godocs          CHANGES.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md RELEASING.md SECURITY.md testing.md\\\

Name:           %{goname}
Release:        %autorelease
Summary:        Google Cloud Client Libraries for Go

License:        BSD-3-Clause AND Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/google/go-github/v35|github.com/google/go-github|' $(find . -iname '*.go' -type f)

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# Disable tests requiring authentication
for test in "TestInstanceAdmin_GetCluster" \
            "TestInstanceAdmin_Clusters" \
            "TestInstanceAdmin_SetAutoscaling" \
            "TestInstanceAdmin_UpdateCluster_RemovingAutoscaling" \
            "TestInstanceAdmin_CreateInstance_WithAutoscaling" \
            "TestInstanceAdmin_CreateInstanceWithClusters_WithAutoscaling" \
            "TestInstanceAdmin_CreateCluster_WithAutoscaling" \
            "TestInstanceAdmin_UpdateInstanceWithClusters_IgnoresInvalidClusters" \
            "TestInstanceAdmin_UpdateInstanceWithClusters_WithAutoscaling" \
            "TestInstanceAdmin_UpdateInstanceAndSyncClusters_WithAutoscaling" \
            "TestCreateGetPutPatchListInstance" \
            "TestCreateGetRemoveSecurityPolicies" \
            "TestPaginationWithMaxRes" \
            "TestPaginationDefault" \
            "TestPaginationMapResponse" \
            "TestPaginationMapResponseMaxRes" \
            "TestCapitalLetter" \
            "TestInstanceGroupResize" \
            "TestIntegration" \
            "TestIntegration_GetGrafeasClient" \
            "TestParse" \
            "TestGoldens" \
            "TestClient_CustomRetry" \
            "TestCallBuilders" \
            "TestTimestamp" \
            "TestSetFromProtoValueErrors" \
            "TestStreamingPullRetry" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done


%global checkflags -t storage -t cmd
%if 0%{?__isa_bits} == 32
%global checkflags %{checkflags} -d bigquery/storage/managedwriter -d pubsub -d pubsublite/internal/wire -d pubsublite/pscompat -d spanner/spansql
%endif

i=0
while true; do
    if [ "$i" -ge "5" ]; then
        exit 1
    fi
    (%gocheck %checkflags) && break
    i=$(($i + 1))
done
%endif
%endif

%gopkgfiles

%changelog
* Wed Sep 21 2022 Maxwell G <gotmax@e.email> 0.103.0-5
- Retry flaky tests

* Mon Sep 19 2022 Maxwell G <gotmax@e.email> 0.103.0-4
- Fix update path for golang-cloud-google-compute-devel (rhbz#2109630)

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 0.103.0-3
- Rebuild to fix FTBFS

* Wed Aug 03 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.103.0-2
- Fix tests on other arches

* Mon Aug 01 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.103.0-1
- Update to 0.103.0 - Close: rhbz#2110122 rhbz#2077319 rhbz#2112949
  rhbz#2112959 rhbz#2058383 rhbz#2110122

* Thu Jul 21 2022 Maxwell G <gotmax@e.email> 0.100.0-5
- Fix FTBFS

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.100.0-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sun Feb 20 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.100.0-3
- Fix FTBFS Close: rhbz#2045457

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.100.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Tomas Hozza <thozza@redhat.com> 0.100.0-1
- Update to 0.100.0 Close: rhbz#1967513

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.82.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun  8 18:05:50 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.82.0-2
- Fix github.com/google/go-github import path

* Mon May 24 20:57:45 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.82.0-1
- Update to 0.82.0
- Close: rhbz#1924392

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 21:22:26 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.75.0-1
- Update to 0.75.0
- Close: rhbz#1915169

* Sun Dec 27 12:58:42 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.74.0-1
- Update to 0.74.0
- Close: rhbz#1906846

* Fri Sep 04 20:06:46 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.73.0-1
- Update to 0.73.0
- Close: rhbz#1879310

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.52.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 16:18:11 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.52.0-1
- Update to 0.52.0
- Disable profiler test until fix by upstream

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.51.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 13 17:45:56 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.51.0-1
- Update to 0.51.0

* Sat Dec 28 22:05:56 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.50.0-2
- Bootstrap storage

* Sat Dec 28 15:36:09 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.50.0-1
- Update to 0.50.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.37.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.37.4-2
- Add Obsoletes for old name

* Tue Apr 23 09:48:52 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.37.4-1
- Release 0.37.4

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-4
- Unbootstrap

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-3
- Bootstrap 2

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-2
- Bootstrap

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-1
- Update to release v0.36.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 25 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.31.0-1
- Update to release v0.31.0

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.21.0-3
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.21.0-1
- Update to v0.21.0
  Change import path prefix to cloud.google.com/go
  resolves: #1558755

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 16 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.10.git872c736
- Bump to upstream 872c736f496c2ba12786bedbb8325576bbdb33cf
  related: #1246239

* Thu Dec 15 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.9.git2400193
- Polish the spec file
  related: #1246239

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.git2400193
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.7.git2400193
- Bump to upstream 2400193c85c3561d13880d34e0e10c4315bb02af
  related: #1246239

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git95c332f
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git95c332f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git95c332f
- Update spec file to spec-2.0
  related: #1246239

* Thu Jul 23 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git95c332f
- Bump to upstream 95c332f94e6766fa122231c0a95ddf15ac26bf70
  resolves: #1246239

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git2e43671
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 22 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git1c3fdc5
- First package for Fedora
  resolves: #1185281

